booster::log::sinks Namespace Reference

This namespace includes various output devices (sinks) for logger. More...

## Classes

class | standard_error
| stderr based sink - sends messages to standard error output More...
class | file
| log file based sink - sends messages to log file More...

## Functions

BOOSTER_API std::string | format_plain_text_message (message const &msg)
BOOSTER_API std::string | format_plain_text_message_tz (message const &msg, int timezone_offset=0)

## Detailed Description

This namespace includes various output devices (sinks) for logger.

It includes several standard devices that can be used in most applications

## Function Documentation

BOOSTER_API std::string booster::log::sinks::format_plain_text_message | ( | message const & | msg | ) |

Convert a logging message to a string with all the data that can be written to file, the displayed time is local time

BOOSTER_API std::string booster::log::sinks::format_plain_text_message_tz | ( | message const & | msg,
|  | int | timezone_offset = `0`
| ) |  |

Convert a logging message to a string with all the data that can be written to file, the displayed time is GMT+timezone_offset. timezone_offset should be represented in seconds, for example for timezone GMT+2:00 it should be 7200